Bug 1066175 - pmchart metric search dialog needs to span multiple hosts
Summary: pmchart metric search dialog needs to span multiple hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp-gui
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 22:47 UTC by Nathan Scott
Modified: 2014-03-21 22:30 UTC (History)
2 users (show)

Fixed In Version: pcp-gui-1.5.13-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 07:55:29 UTC


Attachments (Terms of Use)

Description Nathan Scott 2014-02-17 22:47:31 UTC
Usability of the metric selection process, when multiple hosts are involved and one is attempting to create plots with the same metric and instance across multiple hosts is not satisfactory.  Currently, each individual host namespace must be interactively expanded (no memory between hosts of course, each is a separate sub tree on New/Edit Chart) which can be time consuming.

We already have the metric search dialog that could have helped with this situation.  However:
1. no one ever knows its there (can we make it stand out more?, not sure)
2. it would not have helped anyway here, since it only displays metrics and instances from one host (the default host I guess)

Its this latter issue we need to tackle right away, as it would ease some immediate, end-user-reported usability pain.  But suggestions for the former issue would be most welcome too, cos I'm fresh out of ideas on that front. :)

Comment 1 Nathan Scott 2014-02-20 03:26:18 UTC
commit efe837cff6d77c0d67ee8ab5815448fe3cc9f195
Author: Nathan Scott <nathans@redhat.com>
Date:   Thu Feb 20 14:24:22 2014 +1100

    Improvements to the pmchart metric searching capabilities
    
    Update pmchart Metric Search dialog to display hosts also, for all
    matching search results.  Handy for cluster monitoring.
    
    Add to the UI and search logic to allow regular expression matching
    on host names, in addition to metric and instance names.
    
    Resolves Red Hat bug #1066175.

Comment 2 Fedora Update System 2014-02-20 06:34:53 UTC
pcp-gui-1.5.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc20

Comment 3 Fedora Update System 2014-02-20 06:35:40 UTC
pcp-gui-1.5.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.fc19

Comment 4 Fedora Update System 2014-02-20 06:36:40 UTC
pcp-gui-1.5.12-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.12-1.el6

Comment 5 Fedora Update System 2014-02-22 00:36:15 UTC
Package pcp-gui-1.5.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-gui-1.5.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2784/pcp-gui-1.5.12-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-02-25 07:55:29 UTC
pcp-gui-1.5.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-03-02 03:41:05 UTC
pcp-gui-1.5.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-03-06 04:52:12 UTC
pcp-gui-1.5.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.13-1.el6

Comment 9 Fedora Update System 2014-03-21 22:30:24 UTC
pcp-gui-1.5.13-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.